Package org.apache.uima.resource.metadata.impl

# Class AllowedValue_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.metadata.impl.AllowedValue_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `AllowedValue`, `MetaDataObject`, `XMLizable`

public class AllowedValue_impl extends MetaDataObject_impl implements AllowedValue
Reference implementation of `AllowedValue`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllowedValue_impl()`
  Default constructor.
  `AllowedValue_impl(String aString, String aDescription)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the verbose description of this allowed value.
  `String`
  `getString()`
  Gets the allowed value.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setDescription(String aDescription)`
  Sets the verbose description of this allowed value.
  `void`
  `setString(String aString)`
  Sets the allowed value.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### AllowedValue_impl

    public AllowedValue_impl()
    Default constructor.

  - ### AllowedValue_impl

    public AllowedValue_impl(String aString, String aDescription)
    Constructor.
    Parameters:
      `aString` - the allowed value string
      `aDescription` - verbose description of this allowed value

- ## Method Details

  - ### getString

    public String getString()
    Description copied from interface: `AllowedValue`
    Gets the allowed value.
    Specified by:
      `getString` in interface `AllowedValue`
    Returns:
      the allowed value string
    See Also:
      - `AllowedValue.getString()`

  - ### setString

    public void setString(String aString)
    Description copied from interface: `AllowedValue`
    Sets the allowed value.
    Specified by:
      `setString` in interface `AllowedValue`
    Parameters:
      `aString` - the allowed value string
    See Also:
      - `AllowedValue.setString(java.lang.String)`

  - ### getDescription

    public String getDescription()
    Description copied from interface: `AllowedValue`
    Gets the verbose description of this allowed value.
    Specified by:
      `getDescription` in interface `AllowedValue`
    Returns:
      the description of this allowed value
    See Also:
      - `AllowedValue.getDescription()`

  - ### setDescription

    public void setDescription(String aDescription)
    Description copied from interface: `AllowedValue`
    Sets the verbose description of this allowed value.
    Specified by:
      `setDescription` in interface `AllowedValue`
    Parameters:
      `aDescription` - the description of this allowed value
    See Also:
      - `AllowedValue.setDescription(java.lang.String)`

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation
    See Also:
      - `MetaDataObject_impl.getXmlizationInfo()`